import * as cdk from '@aws-cdk/core';
import { Component } from './index';
export declare class ComponentBuilder {
    componentDeps: any[];
    scope: cdk.Construct;
    cacheDir: string;
    componentDependenciesMap: {
        [name: string]: Component;
    };
    constructor(scope: cdk.Construct, componentDefs: any[]);
    private createComponentDependenciesMap;
    private createComponent;
    private assembleComponent;
    private addDependencyConstants;
    private addPhaseExtensions;
    private checkComponentYaml;
}
