import * as sns from '@aws-cdk/aws-sns';
import * as core from '@aws-cdk/core';
export declare class SlackNotification extends core.Construct {
    snsTopic: sns.Topic;
    constructor(scope: core.Construct, id: string, snsTopic: sns.Topic, slackConfig: SlackConfiguration, recipename: string);
}
export interface SlackConfiguration {
    readonly slackWebhookUrl: string | undefined;
    readonly channel: string | undefined;
    readonly username: string | undefined;
}
